#
# spec file for package octave-forge-symbolic
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  symbolic
Name:           octave-forge-%{octpkg}
Version:        2.2.2
Release:        6.1
Summary:        Octave Symbolic Package using SymPy
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  octave-devel
BuildRequires:  python-devel
BuildRequires:  python-sympy >= 0.7.5
Requires:       octave-cli
Requires:       python-sympy >= 0.7.5

%description
Adds symbolic calculation features to GNU Octave.
These include common Computer Algebra System tools such as algebraic
operations, calculus, equation solving, Fourier and Laplace transforms,
variable precision arithmetic and and other features. Compatibility
with other symbolic toolboxes is a goal.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Tue Jul  7 2015 dmitry_r@opensuse.org
- Update to version 2.2.2
  * Bigfix release
* Tue Apr 28 2015 dmitry_r@opensuse.org
- Update to version 2.2.1
  * Fix an ascii pretty printing regression (issue #234).
  * Other minor fixes for doctests, sympref and symreplace.
* Wed Apr 22 2015 dmitry_r@opensuse.org
- Update to version 2.2.1
  * New commands:
    catalan eulergamma lambertw
  * Installing symbolic package now check for Python and minimum
    version of SymPy.
  * Installations from Octave-Forge ("pkg install -forge symbolic")
    should now work on Windows (thanks vassbu).  You will need the
    Python and SymPy dependencies.  Or you can use the [bundled
    package](https://github.com/cbm755/octsympy/releases)
  * Added support for Python 3 (still works with Python 2 as well).
  * Documentation improvements especially to assumptions.  Examples
    within documentation can now be tested with doctests, see the
    `octsympy_doctests.m` function.
  * Fix a warning on Octave 4.0.0-rc1 and make tests work properly.
  * Other bug fixes: assumptions; symvar and symbolic matrix powers;
    various display issues.
* Mon Mar  9 2015 dmitry_r@opensuse.org
- Update to version 2.1.0
  * New commands: columns, degree, formula, ismatrix, numden, rows
  * Additional ways of calling symsum, symprod, and subs for better
    compatibility with other symbolic toolboxes.
  * Bug fixes in poly2sym, sym2poly, symfun, prod, horner, coeffs.
  * Documentation improvements.
  * Improvements to "argnames" and "formula" for the dependent
    variables and dependent expression of a symfun.
  * Improvements to assumptions.
  * Improve symbolic sized matrices such as `A = sym('a', [n m])`.
  * Drop python_cmd_string, which has been deprecated since v0.1.1.
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 2.0.0
